Pairs
GET/pairs
Returns the minimum and maximum deposit amount and the rate for every possible pair of coins listed in the query string.
warning
x-sideshift-secret is your account's private key. Never share it with anyone as it grants full access to your account and should be kept confidential.
info
Use the same commissionRate in this endpoint as when creating the shift/quote to get an accurate rate information.
Request
Header Parameters
x-sideshift-secret stringrequired
Query Parameters
pairs stringrequired
btc-mainnet,usdc-bsc,bch,eth
affiliateId stringrequired
commissionRate string
Responses
- 200
- 500
OK
- application/json
- Schema
- Example
Schema
Array [
]
depositCoinstringrequired
settleCoinstringrequired
depositNetworkstringrequired
settleNetworkstringrequired
minstringrequired
maxstringrequired
ratestringrequired
[
{
"depositCoin": "BTC",
"settleCoin": "ETH",
"depositNetwork": "bitcoin",
"settleNetwork": "ethereum",
"min": "0.00010753",
"max": "1.43368044",
"rate": "17.291251441744"
},
{
"depositCoin": "ETH",
"settleCoin": "BTC",
"depositNetwork": "ethereum",
"settleNetwork": "bitcoin",
"min": "0.013802779514",
"max": "25.27981596",
"rate": "0.055429074413"
}
]
Internal Server Error
- application/json
- Schema
- Examples
Schema
error object
messagestringrequired
codestringrequired
orderIdstring
depositRangeMinstring
depositRangeMaxstring
{
"error": {
"message": "Rate unavailable",
"code": "RATE_UNAVAILABLE"
}
}
{
"error": {
"message": "Duplicate coin",
"code": "BAD_USER_INPUT"
}
}
{
"error": {
"message": "Invalid coin",
"code": "BAD_USER_INPUT"
}
}
{
"error": {
"message": "Invalid network",
"code": "BAD_USER_INPUT"
}
}